List job descriptions for a job
curl --request GET \
--url https://api.gospott.com/job-descriptions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/job-descriptions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/job-descriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"jobDescriptionId": "550e8400-e29b-41d4-a716-446655440000",
"vacancyId": "<string>",
"externalJobTitle": "Senior Software Engineer",
"content": "<p>We are looking for a senior software engineer...</p>"
}
],
"pagination": {
"totalItems": 123,
"page": 123,
"hasNextPage": true
}
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Job Descriptions
List job descriptions for a job
List the job descriptions for a job.
GET
/
job-descriptions
List job descriptions for a job
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Query Parameters
The job to list job descriptions for
Minimum string length:
1Optional language filter; when provided, only the job description in this language is returned
Available options:
en-US, en-GB, es, nl, fr, de, hu, cs, pt, no, sv, da, fi, pl, ro, it, af ⌘I

